#!/bin/bash

#p7zip,unrar - архиваторы
#gimp - графический растровый редактор
#conky - программа для системного мониторинга
#libreoffice - офисный пакет
#shutter - скриншоты
#remmina - клинет удаленного рабочего стола (rdp, vnc)
#wine - эмулятор функций windows для запуска windows программ
#vlc - видеопроигрыватель
#kdenlive - нелинейный видеоредактор
#audacity - аудиоредактор
#gxneur - автопереключатель раскладки
#pdfmod 
#smplayer, smtube, smplayer-themes  - медиаплеер
#shotwell - организация каталога фотоизображений и видеофайлов
#f-spot - просмотрщик фото
#qmmp - музыкальный плеер, аналог winamp
#filezilla - ftp клиент 
#nautilus - файловый менеджер
#nautilus-image-converter 
#sane sane-utils xsane aspell aspell-ru cuneiform-linux 
#yagf - распознование текста 
#ubuntu-tweak - настройки убунту
#freetuxtv - онлайн-тв плеер
#mc - файловый менеджер
#inkscape - векторный графический редактор
#lxterminal  - терминал
#gdebi - графическая программа установки deb пакетов
#k3b - запись дисков
#gwenview - просмотр изображений
#skanlite - сканирование
#pcmanfm - файловый менеджер
#krusader - файловый менеджер
#msttcorefonts - шрифты
#fbmessenger - фэйсбук месседжер
#ristretto - просмотр изображений
#vokoscreen - для записи видео с рабочего стола (скринкастинга)
#guvcview - запись видео с устройств захвата (web камера и т.д.)
#kicad - разработка печатных плат
#удаляем пакеты
apt-get -y --force-yes remove abiword gnumeric parole
#обновляем всё установленное ПО
apt-get -y update
apt-get -y --force-yes dist-upgrade
#добавляем репозитарии google chrome
wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google-chrome.list'
#добавляем репозитарии opera
sh -c 'wget -O - http://deb.opera.com/archive.key | apt-key add -'
sh -c 'echo "deb http://deb.opera.com/opera/ stable non-free" >> /etc/apt/sources.list.d/opera.list'
#добавляем репозитарии другого ПО
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com `apt-get update 2>&1 | grep -o '[0-9A-Z]\{16\}$' | xargs` 
add-apt-repository -y ppa:rvm/smplayer
echo "deb http://ppa.launchpad.net/yorba/ppa/ubuntu `lsb_release -cs` main" | tee -a /etc/apt/sources.list
echo "deb-src http://ppa.launchpad.net/yorba/ppa/ubuntu `lsb_release -cs` main" | tee -a /etc/apt/sources.list
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com E549B1AC 
echo "deb http://ppa.launchpad.net/stiff.ru/qmmp-releases/ubuntu `lsb_release -cs` main" |  tee -a /etc/apt/sources.list
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 2C2B0858
echo "deb http://ppa.launchpad.net/yofel/off-ppa/ubuntu `lsb_release -cs` main" | tee -a /etc/apt/sources.list
echo "deb-src http://ppa.launchpad.net/yofel/off-ppa/ubuntu `lsb_release -cs` main" | tee -a /etc/apt/sources.list
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 9297328F
echo "deb http://notesalexp.org/debian/`lsb_release -cs`/ `lsb_release -cs` main contrib non-free" | tee -a /etc/apt/sources.list
wget -O - http://notesalexp.org/debian/alexp_key.asc | apt-key add - 
echo "deb http://ppa.launchpad.net/tualatrix/ubuntu `lsb_release -cs` main" | tee -a /etc/apt/sources.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6AF0E1940624A220
wget http://www.medibuntu.org/sources.list.d/`lsb_release -cs`.list --output-document=/etc/apt/sources.list.d/medibuntu.list
echo "deb http://packages.redsolution.ru/2gis hardy non-free #2Gis" | tee -a /etc/apt/sources.list
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com DCC451556FC6C6EB
add-apt-repository -y ppa:freetuxtv/freetuxtv
add-apt-repository --yes ppa:js-reynaud/ppa-kicad
add-apt-repository -y ppa:webupd8team/java
add-apt-repository -y ppa:nilarimogard/webupd8
add-apt-repository -y 'deb http://viktand.ru/ppa/ubuntu dist universe'
add-apt-repository -y ppa:plushuang-tw/uget-stable
add-apt-repository -y ppa:venerix/pkg
apt-add-repository 'deb http://liveusb.info/multisystem/depot all main'
wget -q -O - http://liveusb.info/multisystem/depot/multisystem.asc | sudo apt-key add -
add-apt-repository -y ppa:paolorotolo/android-studio
apt-get -y -q update
#устанавливаем ПО
apt-get --yes -q --allow-unauthenticated install medibuntu-keyring
apt-get -y --force-yes install google-chrome-stable 
apt-get -y --force-yes install opera
apt-get -y --force-yes install gwenview
apt-get -y --force-yes install skanlite
apt-get -y --force-yes install unrar
apt-get -y --force-yes install pcmanfm
apt-get -y --force-yes install krusader
apt-get -y --force-yes install msttcorefonts
apt-get -y --force-yes install fbmessenger
apt-get -y --force-yes install p7zip
apt-get -y --force-yes install faad
apt-get -y --force-yes install gimp
apt-get -y --force-yes install conky
apt-get -y --force-yes install libreoffice
apt-get -y --force-yes install shutter
apt-get -y --force-yes install remmina
apt-get -y --force-yes install wine
apt-get -y --force-yes install vlc
apt-get -y --force-yes install kdenlive
apt-get -y --force-yes install audacity
apt-get -y --force-yes install gxneur
apt-get -y --force-yes install pdfmod
apt-get -y --force-yes install smplayer
apt-get -y --force-yes install smtube
apt-get -y --force-yes install smplayer-themes
apt-get -y --force-yes install shotwell
apt-get -y --force-yes install f-spot
apt-get -y --force-yes install qmmp
apt-get -y --force-yes install filezilla
apt-get -y --force-yes install nautilus
apt-get -y --force-yes install nautilus-image-converter
apt-get -y --force-yes install sane
apt-get -y --force-yes install sane-utils
apt-get -y --force-yes install xsane
apt-get -y --force-yes install aspell
apt-get -y --force-yes install aspell-ru
apt-get -y --force-yes install cuneiform-linux
apt-get -y --force-yes install yagf
apt-get -y --force-yes install ubuntu-tweak
apt-get -y --force-yes install freetuxtv
apt-get -y --force-yes install comix
apt-get -y --force-yes install mc
apt-get -y --force-yes install inkscape
apt-get -y --force-yes install lxterminal 
apt-get -y --force-yes install gdebi
apt-get -y --force-yes install k3b
apt-get -y --force-yes install caffeine
apt-get -y --force-yes install krename
apt-get -y --force-yes install kdiff3
apt-get -y --force-yes install arj
apt-get -y --force-yes install rar
apt-get -y --force-yes install kget
apt-get -y --force-yes install k3b-i18n
apt-get -y --force-yes install libreoffice-help-en-us
apt-get -y --force-yes install myspell-en-au
apt-get -y --force-yes install hyphen-ru
apt-get -y --force-yes install openoffice.org-hyphenation
apt-get -y --force-yes install hunspell-en-ca
apt-get -y --force-yes install libreoffice-l10n-ru
apt-get -y --force-yes install libreoffice-l10n-en-gb
apt-get -y --force-yes install kde-l10n-ru
apt-get -y --force-yes install libreoffice-help-ru
apt-get -y --force-yes install libreoffice-help-en-gb
apt-get -y --force-yes install mythes-en-au
apt-get -y --force-yes install mythes-en-us
apt-get -y --force-yes install myspell-en-gb
apt-get -y --force-yes install hyphen-en-us
apt-get -y --force-yes install myspell-en-za
apt-get -y --force-yes install hunspell-ru
apt-get -y --force-yes install mythes-ru
apt-get -y --force-yes install kde-l10n-engb
apt-get -y --force-yes install libreoffice-l10n-en-za
apt-get -y --force-yes install libc6-i386 libglib2.0-0:i386 libsm6:i386 libglu1-mesa:i386 libgl1-mesa-glx:i386 libxext6:i386 libxrender1:i386 libx11-6:i386 libfontconfig1:i386 lsb-core
apt-get -y --force-yes install ristretto
apt-get -y --force-yes install vokoscreen
apt-get -y --force-yes install guvcview
apt-get -y --force-yes install uget
apt-get -y --force-yes install tv-maxe
apt-get -y --force-yes install fbreader
apt-get -y --force-yes install pdfmod
apt-get -y --force-yes install pdfshuffler
apt-get -y --force-yes install aspell-ru
apt-get -y --force-yes install thunderbird-locale-ru
apt-get -y --force-yes install wbritish
apt-get -y --force-yes install gimp-help-ru
apt-get -y --force-yes install thunderbird-locale-en
apt-get -y --force-yes install language-pack-gnome-ru
apt-get -y --force-yes install thunderbird-locale-en-gb
apt-get -y --force-yes install thunderbird-locale-en-us
apt-get -y --force-yes install firefox-locale-ru
apt-get -y --force-yes install language-pack-ru
apt-get -y --force-yes install gimp-help-en
apt-get -y --force-yes install multisystem
apt-get -y --force-yes install oracle-java8-installer
apt-get -y --force-yes install android-studio
apt-get -y --force-yes install kicad
apt-get -y --force-yes install kicad-locale-ru
apt-get -y --force-yes install unace 
apt-get -y --force-yes install unrar 
apt-get -y --force-yes install zip 
apt-get -y --force-yes install unzip 
apt-get -y --force-yes install p7zip-full 
apt-get -y --force-yes install p7zip-rar 
apt-get -y --force-yes install sharutils 
apt-get -y --force-yes install rar 
apt-get -y --force-yes install uudeview 
apt-get -y --force-yes install mpack 
apt-get -y --force-yes install lha 
apt-get -y --force-yes install arj 
apt-get -y --force-yes install cabextract 
apt-get -y --force-yes install file-roller 
apt-get -y --force-yes install jlha-utils 
apt-get -y --force-yes install p7zip-full 
apt-get -y --force-yes install p7zip-rar
apt-get -y --force-yes install usermod -a -G adm "$SUDO_USER"
#устанавливаем google earth
wget -O google-earth32.deb http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb
sudo dpkg -i google-earth32.deb
sudo apt-get -f install
rm google-earth32.deb
#устанавливаем все пакеты из папки /deb
dpkg -i ./deb/*.deb
#устанавливаем google диск
add-apt-repository ppa:alessandro-strada/ppa
apt-get update
apt-get install google-drive-ocamlfuse
#для подключкения диска выполнить от пользователя команду google-drive-ocamlfuse
#откроется браузер, ввести гугл аккаунт и пароль, разрешить доступ приложению
#для подключения диска создать папку и подключить её командой 
#google-drive-ocamlfuse ~/gdrive
#подключение нескольких аккаунтов
#google-drive-ocamlfuse -label accaunt2
#google-drive-ocamlfuse -label accaunt2 ~/gdrive2
#устанавливаем неразрешенные зависимости
apt-get -f -y install
